Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. StampCard
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
    • StampCard
      • GetStampCardsAsync
        GET
      • GetStampCardDetailAsync
        GET
      • AddStampAsync
        POST
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. StampCard

GetStampCardDetailAsync

GET
https://api.gofive.co.th/empeo/api/v1/stamp-cards/detail
ดึงรายละเอียดบัตรสะสม 1 ใบ (ระบุด้วยชื่อบัตร) พร้อมรางวัลตาม milestone และสถิติผู้เข้าร่วม

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/stamp-cards/detail?stampCardName=' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Success response
Bodyapplication/json

Example
{
    "statusCode": 0,
    "message": "string",
    "error": "string",
    "totals": 0,
    "data": {
        "stampCardId": 0,
        "name": "string",
        "description": "string",
        "totalStamp": 0,
        "isActive": true,
        "isExpired": true,
        "expiredType": 0,
        "expiredValue": 0,
        "expiredUnit": 0,
        "isSetCutoffDate": true,
        "cutoffDay": 0,
        "cutoffMonth": 0,
        "rewards": [
            {
                "stampCardRewardId": 0,
                "rewardType": 0,
                "milestoneStamp": 0,
                "isOfferToken": true,
                "offerTokenId": 0,
                "offerTokenAmount": 0,
                "isOfferAchievement": true,
                "offerAchievementId": 0,
                "isOfferReward": true,
                "offerRewardId": 0
            }
        ],
        "totalParticipants": 0,
        "totalCompleted": 0,
        "dateCreated": "2019-08-24T14:15:22.123Z",
        "createdBy": "string",
        "dateModified": "2019-08-24T14:15:22.123Z",
        "modifiedBy": "string"
    }
}
🟠403
🟠404
🔴500
Modified at 2026-07-13 06:44:33
Previous
GetStampCardsAsync
Next
AddStampAsync
Built with